Page MenuHomePhabricator

there is no comfortable way to insert a new template in ContentTranslation
Closed, ResolvedPublic

Description

ContentTranslation is limited in handling templates. It can adapt some templates that appear in the source article, and it skips many others.

There is no way to insert a new template that doesn't appear in the source article at all while editing the translation. They can be inserted after the creation, of course, but some templates are unique to a language and very common in it as a usual editing practice that it would be comfortable to insert them while translating.

One example is Template:כ in Hebrew, which inserts an RLM. The custom in the Hebrew Wikipedia is to use the template rather than the explicit control character, and many translators try typing {{כ}} while editing, which results in <nowiki>{{כ}}</nowiki>.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Amire80 created this task.Jul 10 2015, 6:38 AM
Amire80 raised the priority of this task from to Low.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2015, 6:38 AM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.Jul 10 2015, 6:39 AM
Amire80 set Security to None.
Pginer-WMF closed this task as Resolved.Mar 16 2018, 10:14 AM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

This is already supported in CX2, the major refactoring and architectural update of Content Translation to integrate the same editing surface as VisualEditor. Currently it can be tested by adding &version=2 to the URL of the translation editor (still experimental), and will become the default version in the future.

Restricted Application added a subscriber: jeblad. · View Herald TranscriptMar 16 2018, 10:14 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptSep 10 2019, 11:42 PM